libname meteo "T:\Chaussees\Auscultation\09 Publications et prsentations\53 Club utilisateurs SAS Qubec";

data gelmetres01_08;
set meteo.tub01_08;
run;

/* 3 faons d'ouvrir SAS INSIGHT*/
/* (1) soumettre du code*/
proc insight;run;
proc insight data=gelmetres01_08; run;


/* data gelmetres_bonetat;
set gelmetres01_08(drop=Tube_id);
if etat_tube="Bon";
run;
*/

data Gelmetres_bonetat;
set Gelmetres_bonetat;
drop releveGel_remarque  prof_add tot_dgl releveGEl_remarque;
run;
/* (2) fentre dialogue insight
 insight data=Gelmetres_bonetat*/





proc summary data=Gelmetres_bonetat(where=(tot_gel gt 0)) nway;
class hiver nom_tube;
id zone;
var tot_gel temperature;
output out=stat_gelmetres max(tot_gel)= min(temperature)=/autoname;
run;
/* (3) par les menus : Solutions, analysis, Interactive Data Analysis*/




goptions htext=2.0 pct
            htitle=2.5 pct
            lfactor=3;
title1 "Distribution des maximum de gel par hiver";
proc capability 
data=stat_gelmetres(where=(_freq_ ge 10 and hiver in ("2003-04","2004-05","2005-06","2006-07","2007-08")))
noprint;
spec  lsl=100 clsl = black  llsl = 2
      usl=300 cusl = black  lusl = 3 ;

comphist tot_gel_max/ class=(hiver) 
                      nrows=5  
					  cframe     = ligr
				      cfill      = red
				      cframeside = ligr
					  cprop     = green

				      nlegend    = 'Nbre tubes' 
				      nlegendpos = nw;
                      inset  mean='Moy' (5.1)  /position    = ne;

run;
title1 "Distribution des maximum de gel par zone";
 proc capability data=stat_gelmetres(where=(_freq_ ge 10 and hiver in ("2003-04","2004-05","2005-06","2006-07","2007-08")))
noprint;
spec  lsl=100 clsl = black  llsl = 2
      usl=300 cusl = black  lusl = 3 ;

comphist tot_gel_max/ class=(zone) 
                      nrows=3 
					  cframe     = ligr
				      cfill      = red
					  cprop     = green
				      cframeside = ligr;

                      inset  n (8.0) mean='Moy' (5.3) pctgtr="% > 300" (8.1)/ position    = ne;
run;
 
